// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  TU Dresden                                                            ==
// ==                                                                        ==
// ==  Institut fr Wissenschaftliches Rechnen                               ==
// ==  Zellescher Weg 12-14                                                  ==
// ==  01069 Dresden                                                         ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  https://gforge.zih.tu-dresden.de/projects/amdis/                      ==
// ==                                                                        ==
// ============================================================================

/** \file PeriodicInfo.h */

#ifndef AMDIS_PERIODICINFO_H
#define AMDIS_PERIODICINFO_H

#include <map>

namespace AMDiS {

  class PeriodicInfo 
  {
  public:
    int mode;
      
    int type;

    int outputIndex;

    int neighIndex;

    std::map<int, int> vertexMap;
  };

}

#endif
